# Generated from redmine_airbrake_backend-1.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redmine_airbrake_backend

Name: rubygem-%{gem_name}
Version: 1.4.1
Release: 1%{?dist}
Summary: This plugin provides the necessary API to use Redmine as a Airbrake backend
License: MIT
URL: https://gitlab.com/ydkn/redmine_airbrake_backend
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-rails)
BuildArch: noarch

%description
Plugin which adds Airbrake support to Redmine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/redmine_airbrake_backend.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.4.1-1
- Initial package
